%    myplot.m callback for graphic.m
%    Copyright (C) 2001  Valery Beloshapkin
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%
%   e-mail adress of author:  bvv@tnp.krasn.ru 
%
function myplot()
global x0 dx xend fun 
s1=get(x0,'string');
s2=get(dx,'string');
s3=get(xend,'string');
s4=get(fun,'string');
sx=strcat('[',s1,':',s2,':',s3,']');
t=eval(sx);
%next string for compilation to the standalone application only
%you can to comment these string for work in matlab only
str=strrep(s4,'t',sx);
f=eval(str);
plot(t,f);
